PixMind Docs
API 参考Endpoints

Get generation status

Returns a task owned by the authenticated API key user. Poll until status is ready or failed.

GET
/tasks/{taskId}

Returns a task owned by the authenticated API key user. Poll until status is ready or failed.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

taskId*integer

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/tasks/44160"
{  "code": 1000,  "message": "string",  "data": {    "id": "img_44160",    "taskId": 0,    "model": "nano-banana-pro",    "type": "image",    "status": "pending",    "progress": 0,    "error": "string",    "images": [      "http://example.com"    ],    "videoUrl": "http://example.com",    "coverUrl": "http://example.com"  }}